/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#include <qlayout.h>

#include <klocale.h>
#include <kglobal.h>
#include <kparts/genericfactory.h>

#include <moddevinfo.h>
#include <dbsdinitglobal.h>

#include "dbsddevinfo.h"

typedef KGenericFactory<DBSDDevInfo, QWidget> DBSDDevInfoFactory;
K_EXPORT_COMPONENT_FACTORY(kcm_DBSDDevInfo, DBSDDevInfoFactory("kcm_dbsddevinfo"))

extern "C"
{
	KCModule *create_dbsddevinfo(QWidget  *parent, const char  *name)
	{
		DBSDGlobalInitializer::initGlobal();
		return  new DBSDDevInfo(parent, name);
	};
}

DBSDDevInfo::DBSDDevInfo(QWidget  *parent, const char  *name,  __unused  const QStringList &  list)
	:	DBSDKCModule(new modDevInfo, parent, name, list)
{
}

/** The module is deleted automatically here,
  * no need to do this in inherited classes.
  */
DBSDDevInfo::~DBSDDevInfo() {

}
